Download it now!
Bug 137790 - Calc: Minimal line width for different line styles
Summary: Calc: Minimal line width for different line styles
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Cell-Border
  Show dependency treegraph
 
Reported: 2020-10-27 10:24 UTC by Serge Krot (CIB)
Modified: 2020-11-06 15:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Krot (CIB) 2020-10-27 10:24:26 UTC
Double lines are not visible when the width (which determines the gap between the two lines) is less than < 1.10, so the width is set to at least 1.10, which was implemented with the following patch https://gerrit.libreoffice.org/c/core/+/30857 (9259fcd40b1749cd421c433bcc436cb335cbbe43).

it was noticed, only with a width of 1.50 the double line is visible, but it can depend on the printer. From a certain width (> 2.00 I did not search for it) the distance is wide enough.

The actual error is that the UI allows this and does not limit it, and the default value is set to 0.75.
CodePoint: (6.1) cui/source/tabpages/border.cxx:95 SvxBorderTabPage::SvxBorderTabPage
Comment 1 Commit Notification 2020-10-28 09:37:22 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/de1c4863ab993c80d8fea50ce420d568f75bf2e6

tdf#137790 calc: Minimal line width for different line styles

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-11-05 01:29:18 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/268a79985c773be7bd843a240eb7226c6f51d3aa

tdf#137790 calc: set minimal line width: unit test

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.